  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IDM_RPT_CFG"."IDMRPT_IDENTITY_V" ("IDENTITY_ID", "FIRST_NAME", "LAST_NAME", "MIDDLE_INITIAL", "FULL_NAME", "JOB_TITLE", "DEPARTMENT", "LOCATION", "EMAIL_ADDRESS", "OFFICE_PHONE", "CELL_PHONE", "PRIVATE_PHONE", "IM_ID", "MGR_ID", "PHOTO", "IDMRPT_VALID_FROM", "IDMRPT_VALID_TO", "GENERATIONAL_QUALIFIER", "PREFIX", "PREFERRED_NAME", "PREFERRED_LANGUAGE", "JOB_CODE", "WORKFORCE_ID", "COST_CENTER", "COST_CENTER_DESCRIPTION", "EMPLOYEE_STATUS", "EMPLOYEE_TYPE", "COMPANY", "DEPARTMENT_NUMBER", "MAILSTOP", "OFFICE_NUMBER", "STREET_ADDRESS", "CITY", "POSTAL_CODE", "PO_BOX", "FAX_NUMBER", "STATE", "COUNTRY", "PAGER_NUMBER", "MANAGER_FLAG", "MANAGER_WORKFORCE_ID", "HIRE_DATE", "TRANSFER_DATE", "TERMINATION_DATE", "FIRST_WORKING_DAY", "LAST_WORKING_DAY", "IDENTITY_DESC", "IDMRPT_SYN_STATE") AS 
  SELECT idmrpt_identity.identity_id,
				idmrpt_identity.first_name,
				idmrpt_identity.last_name,
				idmrpt_identity.middle_initial,
				idmrpt_identity.full_name,
				idmrpt_identity.job_title,
				idmrpt_identity.department,
				idmrpt_identity.location,
				idmrpt_identity.email_address,
				idmrpt_identity.office_phone,
				idmrpt_identity.cell_phone,
				idmrpt_identity.private_phone,
				idmrpt_identity.im_id,
				idmrpt_identity.mgr_id,
				idmrpt_identity.photo,
				idmrpt_identity.idmrpt_valid_from,
				cast(cast(current_timestamp as date) + 7305 as timestamp with time zone) AS idmrpt_valid_to,
				idmrpt_identity.generational_qualifier,
				idmrpt_identity.prefix,
				idmrpt_identity.preferred_name,
				idmrpt_identity.preferred_language,
				idmrpt_identity.job_code,
				idmrpt_identity.workforce_id,
				idmrpt_identity.cost_center,
				idmrpt_identity.cost_center_description,
				idmrpt_identity.employee_status,
				idmrpt_identity.employee_type,
				idmrpt_identity.company,
				idmrpt_identity.department_number,
				idmrpt_identity.mailstop,
				idmrpt_identity.office_number,
				idmrpt_identity.street_address,
				idmrpt_identity.city,
				idmrpt_identity.postal_code,
				idmrpt_identity.po_box,
				idmrpt_identity.fax_number,
				idmrpt_identity.state,
				idmrpt_identity.country,
				idmrpt_identity.pager_number,
				idmrpt_identity.manager_flag,
				idmrpt_identity.manager_workforce_id,
				idmrpt_identity.hire_date,
				idmrpt_identity.transfer_date,
				idmrpt_identity.termination_date,
				idmrpt_identity.first_working_day,
				idmrpt_identity.last_working_day,
				idmrpt_identity.identity_desc,
				idmrpt_identity.idmrpt_syn_state
			FROM idm_rpt_data.idmrpt_identity
			WHERE (idmrpt_identity.idmrpt_syn_state > 0)
			UNION ALL
			SELECT idmrpt_identity_hist.identity_id,
				idmrpt_identity_hist.first_name,
				idmrpt_identity_hist.last_name,
				idmrpt_identity_hist.middle_initial,
				idmrpt_identity_hist.full_name,
				idmrpt_identity_hist.job_title,
				idmrpt_identity_hist.department,
				idmrpt_identity_hist.location,
				idmrpt_identity_hist.email_address,
				idmrpt_identity_hist.office_phone,
				idmrpt_identity_hist.cell_phone,
				idmrpt_identity_hist.private_phone,
				idmrpt_identity_hist.im_id,
				idmrpt_identity_hist.mgr_id,
				idmrpt_identity_hist.photo,
				idmrpt_identity_hist.idmrpt_valid_from,
				idmrpt_identity_hist.idmrpt_valid_to,
				idmrpt_identity_hist.generational_qualifier,
				idmrpt_identity_hist.prefix,
				idmrpt_identity_hist.preferred_name,
				idmrpt_identity_hist.preferred_language,
				idmrpt_identity_hist.job_code,
				idmrpt_identity_hist.workforce_id,
				idmrpt_identity_hist.cost_center,
				idmrpt_identity_hist.cost_center_description,
				idmrpt_identity_hist.employee_status,
				idmrpt_identity_hist.employee_type,
				idmrpt_identity_hist.company,
				idmrpt_identity_hist.department_number,
				idmrpt_identity_hist.mailstop,
				idmrpt_identity_hist.office_number,
				idmrpt_identity_hist.street_address,
				idmrpt_identity_hist.city,
				idmrpt_identity_hist.postal_code,
				idmrpt_identity_hist.po_box,
				idmrpt_identity_hist.fax_number,
				idmrpt_identity_hist.state,
				idmrpt_identity_hist.country,
				idmrpt_identity_hist.pager_number,
				idmrpt_identity_hist.manager_flag,
				idmrpt_identity_hist.manager_workforce_id,
				idmrpt_identity_hist.hire_date,
				idmrpt_identity_hist.transfer_date,
				idmrpt_identity_hist.termination_date,
				idmrpt_identity_hist.first_working_day,
				idmrpt_identity_hist.last_working_day,
				idmrpt_identity_hist.identity_desc,
				1 AS idmrpt_syn_state
			FROM idm_rpt_data.idmrpt_identity_hist;
GRANT SELECT ON idm_rpt_cfg.IDMRPT_IDENTITY_V  TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM IDMRPT_IDENTITY_V for IDM_RPT_CFG.IDMRPT_IDENTITY_V; 